# -*- encoding: utf-8 -*-
# stub: lookout-rack 1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "lookout-rack".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nikolai Weibull".freeze]
  s.date = "2013-09-09"
  s.description = "                                 Lookout-Rack\n\n  Lookout-Rack provides easy interaction with Rack\u252C\u2563 from Lookout\u252C\u2593.  It provides\n  you with a session connected to your Rack application through which you can\n  make requests, check responses, follow redirects and set, inspect, and clear\n  cookies.\n\n\u252C\u2563 See http://rack.rubyforge.org/\n\u252C\u2593 See http://disu.se/software/lookout/\n\n\u252C\u00BA Installation\n\n    Install Lookout-Rack with\n\n    % gem install lookout-rack\n\n\u252C\u00BA Usage\n\n    Include the following code in your \u0393\u00C7\u2563Rakefile\u0393\u00C7\u2551 (provided that you\u0393\u00C7\u00D6re using\n    Lookout-Rake\u252C\u2563):\n\n      require 'lookout-rack-3.0'\n\n      Lookout::Rake::Tasks::Test.new do |t|\n        t.requires << 'lookout-rack-3.0'\n      end\n\n  \u252C\u2563 See http://disu.se/software/lookout-rake/\n\n    Then set up a \u0393\u00C7\u2563fixtures/config.ru\u0393\u00C7\u2551 file that Lookout-Rack\n    will use for loading your Rack app.\n\n      load 'path/to/app.rb'\n      use Rack::Lint\n      run Path::To::App\n\n    This file, if it exists, will be loaded during the first call to #session.\n    If it doesn\u0393\u00C7\u00D6t exist, \u0393\u00C7\u2563config.ru\u0393\u00C7\u2551 will be used instead.\n\n    You can now test your app:\n\n      Expectations do\n        expect 200 do\n          session.get('/').response.status\n        end\n      end\n\n    The #session method returns an object that lets you #get, #post, #put, and\n    #delete resources from the Rack app.  You call these method with a URI\u252C\u2563\n    that you want to access/modify together with any parameters that you want\n    to pass and any Rack environment that you want to use (which isn\u0393\u00C7\u00D6t very\n    common).  For example, let\u0393\u00C7\u00D6s get \u0393\u00C7\u2563/pizzas/\u0393\u00C7\u2551 with olives on them:\n\n      expect 200 do\n        session.get('/pizzas/', 'olives' => '1').response.status\n      end\n\n  \u252C\u2563 Abbreviation for Uniform Resource Identifier\n\n    The #response method on #session returns a mock Rack response object that\n    can be queried for results.  Similarly, there\u0393\u00C7\u00D6s a #request method that lets\n    you inspect the request that was made.\n\n    Lookout-Rack also deals with cookies.  Assuming that \u0393\u00C7\u2563/cookies/set/\u0393\u00C7\u2551 will\n    set any cookies that we pass it and that \u0393\u00C7\u2563/cookies/show/\u0393\u00C7\u2551 will simply do\n    nothing relevant, the following expectation will pass:\n\n      expect 'value' => '1' do\n        session.\n          get('/cookies/set/', 'value' => '1').\n          get('/cookies/show/').request.cookies\n      end\n\n    Sometimes you may want to set cookies yourself before making a request.\n    You then use the #cookie method, which takes a String of \u0393\u00C7\u2563KEY=VALUE\u0393\u00C7\u2551 pairs\n    separated by newlines, commas, and/or semicolons and sets those cookies in\n    the session:\n\n      expect 'value' => '1', 'other' => '2' do\n        session.\n          cookie(\"value=1\\n\\nother=2\").\n          get('/cookies/show/').request.cookies\n      end\n\n    You may also want to clear all cookies in your session using #clear:\n\n      expect({}) do\n        session.\n          get('/cookies/set', 'value' => '1').\n          clear.\n          get('/cookies/show').request.cookies\n      end\n\n    Finally, to test redirects, call the #redirect! method on the session\n    object, assuming that \u0393\u00C7\u2563/redirected/\u0393\u00C7\u2551 redirects to another location:\n\n      expect result.redirect? do\n        session.get('/redirected/').response\n      end\n\n      expect result.not.redirect? do\n        session.get('/redirected/').redirect!.response\n      end\n\n    That\u0393\u00C7\u00D6s basically all there\u0393\u00C7\u00D6s to it.  You can check the {API documentation}\u252C\u2563\n    for more information.\n\n\u252C\u2563 See http://disu.se/software/lookout-rack/api/Lookout/Rack/\n\n\u252C\u00BA Financing\n\n    Currently, most of my time is spent at my day job and in my rather busy\n    private life.  Please motivate me to spend time on this piece of software\n    by donating some of your money to this project.  Yeah, I realize that\n    requesting money to develop software is a bit, well, capitalistic of me.\n    But please realize that I live in a capitalistic society and I need money\n    to have other people give me the things that I need to continue living\n    under the rules of said society.  So, if you feel that this piece of\n    software has helped you out enough to warrant a reward, please PayPal a\n    donation to now@disu.se\u252C\u2563.  Thanks!  Your support won\u0393\u00C7\u00D6t go unnoticed!\n\n\u252C\u2563 Send a donation:\n  https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=now@disu.se&item_name=Lookout-Rack\n\n\u252C\u00BA Reporting Bugs\n\n    Please report any bugs that you encounter to the {issue tracker}\u252C\u2563.\n\n  \u252C\u2563 See https://github.com/now/lookout-rack/issues\n\n\u252C\u00BA Authors\n\n    Nikolai Weibull wrote the code, the tests, the documentation, and this\n    README.\n\n\u252C\u00BA Licensing\n\n    Lookout-Rack is free software: you may redistribute it and/or modify it\n    under the terms of the {GNU Lesser General Public License, version 3}\u252C\u2563 or\n    later\u252C\u2593, as published by the {Free Software Foundation}\u252C\u2502.\n\n\u252C\u2563 See http://disu.se/licenses/lgpl-3.0/\n\u252C\u2593 See http://gnu.org/licenses/\n\u252C\u2502 See http://fsf.org/\n".freeze
  s.email = ["now@disu.se".freeze]
  s.homepage = "http://disu.se/software/lookout-rack/".freeze
  s.licenses = ["LGPLv3+".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Lookout-Rack provides easy interaction with Rack\u252C\u2563 from Lookout\u252C\u2593.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<inventory>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<inventory-rake>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<inventory-rake-tasks-yard>.freeze, ["~> 1.4"])
    s.add_development_dependency(%q<lookout-rake>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<sinatra>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8.0"])
    s.add_development_dependency(%q<yard-heuristics>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<lookout>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<rack>.freeze, ["~> 1.0"])
  else
    s.add_dependency(%q<inventory>.freeze, ["~> 1.5"])
    s.add_dependency(%q<inventory-rake>.freeze, ["~> 1.6"])
    s.add_dependency(%q<inventory-rake-tasks-yard>.freeze, ["~> 1.4"])
    s.add_dependency(%q<lookout-rake>.freeze, ["~> 3.1"])
    s.add_dependency(%q<sinatra>.freeze, ["~> 1.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8.0"])
    s.add_dependency(%q<yard-heuristics>.freeze, ["~> 1.2"])
    s.add_dependency(%q<lookout>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rack>.freeze, ["~> 1.0"])
  end
end
